Vcenter Tagging Associations list

Vcenter Tagging Associations list

Returns tag associations that match the specified iteration spec.

This operation was added in vSphere API 7.0.0.0.

Request
URI
GET
https://{host}/api/vcenter/tagging/associations
COPY
Query Parameters
iterate
Optional

The specification of a page to be retrieved.

If missing or null, the first page will be retrieved.


Authentication
This operation uses the following authentication methods.
Responses
200

A page of the tag associations matching the iteration spec.

Returns Vcenter Tagging Associations ListResult of type(s) application/json
{
    "associations": [
        {
            "tag": "string",
            "object": {
                "type": "string",
                "id": "string"
            }
        }
    ],
    "marker": "string",
    "status": "string"
}
array of object
associations
Required

List of tag associations.

This property was added in vSphere API 7.0.0.0.

string
marker
Optional

Marker is an opaque data structure that allows the caller to request the next page of tag associations.

This property was added in vSphere API 7.0.0.0.

If missing or null or empty, there are no more tag associations to request.

When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.vcenter.tagging.associations.Marker. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.vcenter.tagging.associations.Marker.

string
status
Required

The last status for the iterator that indicates whether any more results can be expected if the caller continues to make requests for more data using the iterator.

For more information see: Vcenter Tagging Associations LastIterationStatus.

This property was added in vSphere API 7.0.0.0.


400

if Vcenter Tagging Associations IterationSpec.marker is not a marker returned from an earlier invocation of this {@term operation).

Returns Vapi Std Errors InvalidArgument of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/tagging/associations